Bug 2099300 (CVE-2022-32206) - CVE-2022-32206 curl: HTTP compression denial of service
Summary: CVE-2022-32206 curl: HTTP compression denial of service
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-32206
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2101649 2099446 2099447 2099448 2099449 2099450 2101648 2159940
Blocks: 2099297
TreeView+ depends on / blocked
 
Reported: 2022-06-20 14:02 UTC by Marian Rehak
Modified: 2023-01-11 06:59 UTC (History)
30 users (show)

Fixed In Version: curl 7.84.0
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in curl. This issue occurs because the number of acceptable "links" in the "decompression chain" was unbounded, allowing a malicious server to insert a virtually unlimited number of compression steps. This flaw leads to a denial of service, either by mistake or by a malicious actor.
Clone Of:
Environment:
Last Closed: 2022-12-10 17:32:58 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:6157 0 None None None 2022-08-24 15:07:55 UTC
Red Hat Product Errata RHSA-2022:6159 0 None None None 2022-08-24 17:31:21 UTC
Red Hat Product Errata RHSA-2022:8840 0 None None None 2022-12-08 13:07:11 UTC
Red Hat Product Errata RHSA-2022:8841 0 None None None 2022-12-08 13:22:06 UTC

Description Marian Rehak 2022-06-20 14:02:37 UTC
The number of acceptable "links" in the "decompression chain" was unbounded, allowing a malicious server to insert a virtually unlimited number of compression steps.

Comment 3 Sandipan Roy 2022-06-28 03:28:44 UTC
Created curl tracking bugs for this issue:

Affects: fedora-all [bug 2101648]


Created mingw-curl tracking bugs for this issue:

Affects: fedora-all [bug 2101649]

Comment 4 errata-xmlrpc 2022-08-24 15:07:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:6157 https://access.redhat.com/errata/RHSA-2022:6157

Comment 5 errata-xmlrpc 2022-08-24 17:31:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:6159 https://access.redhat.com/errata/RHSA-2022:6159

Comment 9 errata-xmlrpc 2022-12-08 13:07:08 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7
  JBoss Core Services for RHEL 8

Via RHSA-2022:8840 https://access.redhat.com/errata/RHSA-2022:8840

Comment 10 errata-xmlrpc 2022-12-08 13:22:04 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2022:8841 https://access.redhat.com/errata/RHSA-2022:8841

Comment 11 Product Security DevOps Team 2022-12-10 17:32:56 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-32206


Note You need to log in before you can comment on or make changes to this bug.